%define release 6
%define version 1.2.0

Summary: Koozali SME Server Nextcloud configuration
Name: smeserver-nextcloud
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-nextcloud-1.2.0-bz10876-username-for-ldap.patch
Patch1: smeserver-nextcloud-1.2.0.bz11086-db-phpver-typo.patch
Patch2: smeserver-nextcloud-1.2.0.bz11086-add-missing-conf-details.patch
Patch3: smeserver-nextcloud-1.2.0.bz11171-template-min-max-start-servers.patch
Patch4: smeserver-nextcloud-1.2.0.bz11171-check-min-max-start-servers.patch

BuildArch: noarch
URL: https://www.nextcloud.com 

BuildRequires: e-smith-devtools

Requires: nextcloud >= 20.0.1
Requires: e-smith-apache
Requires: e-smith-mysql
Requires: smeserver-webapps-common
Requires: smeserver-php >= 3.0.0-15
Requires: samba-client
Requires: perl-JSON
Requires: perl-Exporter-Tiny
Requires: perl-Sub-Quote
Requires: php74-php-smbclient
Requires: php74-php-opcache
Requires: php74-php-pecl-apcu
Requires: php74-php-pecl-inotify
Requires: php74-php-pecl-zip
Requires: php74-php-pecl-imagick
Requires: php74-php-gmp


%description
Koozali SME Server Nextcloud files and configuration.


%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
perl createlinks

%install
rm -rf %{buildroot}
mkdir -p root/var/log/php/nextcloud
(cd root; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} \
 --dir /var/log/php/nextcloud  'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud  'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/tmp 'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/opcache 'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/session 'attr(0755,www,www)' \
 --dir /home/e-smith/files/nextcloud 'attr(0755,www,www)' \
 --dir /home/e-smith/files/nextcloud/data 'attr(0755,www,www)' \
 --ignoredir "/etc/sudoers.d" \
 --file "/etc/sudoers.d/90_nextcloud" "attr(0440,root,root)" \
 --file /usr/bin/OCC 'attr(0755,root,root)'\
 > %{name}-%{version}-filelist

cat %{name}-%{version}-filelist
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc COPYING


%changelog
* Tue Dec 01 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 1.2.0-6.sme
- Add a check for the Min/Max/Start servers [SME: 11171]
- https://bugs.contribs.org/show_bug.cgi?id=11171#c4

* Mon Nov 16 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 1.2.0-5.sme
- Template missing Min/Start/Max Servers and Children [SME: 11171]

* Thu Nov 12 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 1.2.0-4.sme
- Add missing SMB configuration details including domain/workgroup

* Mon Nov 09 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 1.2.0-3.sme
- Fix sudoer file permissions in file list
- Fix some install bugs
- typo in httpd.conf
- switch db from mysql to maria db
- update php version
- add Requires

* Sun Nov 08 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.2.0-2.sme
- use username as id in place of ldap uuid [SME: 10876]

* Sun Nov 08 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.2.0-1.sme
- initial SME10 import [SME: 11086]

* Sun Nov 08 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-19.sme
- use php73-fpm [SME: 11003]
- Require php-gmp for Nextcloud 19 and newer [SME: 11004]
- add phpbasedir support so you can add individual access to dir or files [SME: 11083]
  simply use nextcloud PHPBaseDir property
- increase FastCgiExternalServer php pool timeout to 300 [SME: 11084]
- ease use of a dedicated domaine with https [SME: 10885]

* Mon Jan 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-16.sme
- fix missing Requirement and template-begins  [SME: 10852]

* Mon Dec 16 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-15.sme
- use php72-fpm instead of php71-fpm [SME: 10852]

* Sun Feb 17 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-14.sme
- fix 512MB error on events [SME: 10728]
- add requirement for inotify support [SME: 10733]

* Wed Jan 16 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-13.sme
- fix /.well-known check [SME: 10709]
- created a OCC command you can call as root as if you were the right user. [SME: 10711]
- night cron to fix db [SME: 10710 ]

* Mon Jan 07 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-11.sme
- increase memory limit to new default from 128M to 512M [SME: 10695]
  add property to nextcloud db key MemoryLimit to set to local value if needed.

* Thu Dec 20 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-10.sme
- fix /var/log/php/nextcloud/ is missing [SME: 10601]

* Wed Dec 19 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-9.sme
- fix timeout on update [SME: 10596]

* Wed Jul 04 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-8.sme
- fix wrong filter name for fail2ban jail.conf  [SME: 10608]

* Wed Apr 11 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-7.sme
- fix long update [SME: 10564]
- fix IncludeIbay not working.

* Wed Apr 11 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-6.sme
- fix shares not correctly handled [SME: 10564]
- improve shares support
- reload file cache after creation of ibays folder, so it displays to users.
- improve output to message log

* Mon Apr 09 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-5.sme
- fix signal-event nextcloud-update hang [SME: 10560]

* Sun Apr 08 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-4.sme
- fix wrong logrotate option [SME: 10560]
- change password storage mode for smb share to allow access from portable devices [SME: 10558]
- create the "ibays" main folder to mount all ibays in every user nextcloud space [SME: 10557]
- add Shared folders in nextcloud under the ibays folder [SME: 10559]

* Sat Apr 07 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-3.sme
- tidying templates, set cron update
- fix bad folder name for ibays [SME: 10556]

* Fri Mar 30 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-1.sme
- initial release

